Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Does WTP 2.0.2 need ORBIT ?
Does WTP 2.0.2 need ORBIT ? [message #202770] Mon, 22 October 2007 10:31 Go to next message
Eclipse UserFriend
Originally posted by: wknauf_NO_._INSIDE_hg-online.de

Hi everybody,

the notes for build 2.0.2 state that the ORBIT package is required:
http://download.eclipse.org/webtools/downloads/drops/R2.0/M- 2.0.2-20071018074037/
"Third Parthy code from Orbit (currently much more than needed for WTP, but some
committers like having the whole heap in their target)".

Does this mean that for running WTP I need the whole 40 MB ORBIT package ? Or is
this only for building WTP ?

Thanks

Wolfgang
Re: Does WTP 2.0.2 need ORBIT ? [message #202778 is a reply to message #202770] Mon, 22 October 2007 13:44 Go to previous messageGo to next message
David Carver is currently offline David CarverFriend
Messages: 174
Registered: July 2009
Senior Member
Wolfgang Knauf wrote:
> Hi everybody,
>
> the notes for build 2.0.2 state that the ORBIT package is required:
> http://download.eclipse.org/webtools/downloads/drops/R2.0/M- 2.0.2-20071018074037/
>
> "Third Parthy code from Orbit (currently much more than needed for WTP,
> but some committers like having the whole heap in their target)".
>
> Does this mean that for running WTP I need the whole 40 MB ORBIT package
> ? Or is this only for building WTP ?
>

I don't think you need the whole thing, just the Xerces and Axis related
plugins. You may need a few additional plugins like apache commons as
well due to some depenedencies.
Re: Does WTP 2.0.2 need ORBIT ? [message #202850 is a reply to message #202770] Mon, 22 October 2007 21:44 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 2335
Registered: July 2009
Senior Member
Wolfgang Knauf wrote:
> Hi everybody,
>
> the notes for build 2.0.2 state that the ORBIT package is required:
> http://download.eclipse.org/webtools/downloads/drops/R2.0/M- 2.0.2-20071018074037/
>
> "Third Parthy code from Orbit (currently much more than needed for WTP,
> but some committers like having the whole heap in their target)".
>
> Does this mean that for running WTP I need the whole 40 MB ORBIT package
> ? Or is this only for building WTP ?

It's only for building WTP. The parts of Orbit that a project
requires are provided as part of their own download.

--
Nitin Dahyabhai
Structured Source Editing


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: Does WTP 2.0.2 need ORBIT ? [message #202867 is a reply to message #202850] Tue, 23 October 2007 08:00 Go to previous message
Eclipse UserFriend
Originally posted by: wknauf_NO_._INSIDE_hg-online.de

Thanks !

Then the release notes should be updated to clear this ;-)

Wolfgang

>
> It's only for building WTP. The parts of Orbit that a project requires
> are provided as part of their own download.
>
> --
> Nitin Dahyabhai
> Structured Source Editing
Previous Topic:Get xml node from XML Editor
Next Topic:Validation of web.xml for 2.5 projects
Goto Forum:
  


Current Time: Wed Nov 26 08:14:07 GMT 2014

Powered by FUDForum. Page generated in 0.15015 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software